%define version 2.4
%define release 2mdk
%define name wwwoffle

Summary: WWW Offline Explorer - Caching Web Proxy Server
Copyright: GPL
Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Other
Source: ftp://ftp.demon.co.uk/pub/unix/httpd/wwwoffle-%{version}.tar.bz2
Source1: wwwoffle-initfile.bz2
Patch0: wwwoffle-2.3-config.diff.bz2
# Author: Andrew M. Bishop <amb@gedanken.demon.co.uk>
URL: http://www.gedanken.demon.co.uk/wwwoffle/
BuildRoot: /var/tmp/%{name}-buildroot
 
%description
A proxy HTTP/FTP server for computers with dial-up internet access.
- Caching of pages viewed while connected for review later.
- Browsing of cached pages while not connected, with the ability
  to follow links and mark other pages for download.
- Downloading of specified pages non-interactively.
- Multiple indices of pages stored in cache for easy selection.
- Interactive or command line option to select pages for fetching
  individually or recursively.
- All options controlled using a simple configuration file with a
  web page to edit it.

%prep
%setup
%patch0 -p 0 -b .path

%build
make all INSTDIR=/usr SPOOLDIR=/var/spool/wwwoffle CONFDIR=/etc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool/
#mkdir -p $RPM_BUILD_ROOT/var/spool/wwwoffle
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin,man/{man1,man5,man8}}
make install INSTDIR=$RPM_BUILD_ROOT/usr \
	SPOOLDIR=$RPM_BUILD_ROOT/var/spool/wwwoffle \
	CONFDIR=$RPM_BUILD_ROOT/etc
install -m755 upgrade-cache $RPM_BUILD_ROOT/usr/sbin/upgrade-cache

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/etc/rc.d/init.d/wwwoffled
chmod a+rx $RPM_BUILD_ROOT/etc/rc.d/init.d/wwwoffled
ln -sf ../init.d/wwwoffled $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S86wwwoffled
ln -sf ../init.d/wwwoffled $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S86wwwoffled
ln -sf ../init.d/wwwoffled $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K16wwwoffled
ln -sf ../init.d/wwwoffled $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K16wwwoffled
ln -sf ../init.d/wwwoffled $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K16wwwoffled

#
mv $RPM_BUILD_ROOT/etc/wwwoffle.conf A
cat A | sed 's|/tmp/wwwoffle-root||g' > $RPM_BUILD_ROOT/etc/wwwoffle.conf
mv $RPM_BUILD_ROOT/usr/man/man5/wwwoffle.conf.5 A
cat A | sed 's|/tmp/wwwoffle-root||g' > $RPM_BUILD_ROOT/usr/man/man5/wwwoffle.conf.5

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4-2mdk
- fix group

* Fri Jul 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- uploaded to 2.4
- * Mon Jul 12 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
 - adapted to mandrake the rpm package of 
  Gianpaolo Macario <gianpi@geocities.com> 


%files
%defattr (-,root,root)
%dir /var/spool/wwwoffle
%dir /var/spool/wwwoffle/html
%doc /var/spool/wwwoffle/html/*
%dir /var/spool/wwwoffle/http
%dir /var/spool/wwwoffle/lasttime
%dir /var/spool/wwwoffle/monitor
%dir /var/spool/wwwoffle/outgoing
%doc README README.1st INSTALL NEWS ChangeLog README.CONF UPGRADE CHANGES.CONF
%doc CONVERT endian-cache
%config /etc/wwwoffle.conf
%config /etc/rc.d/init.d/wwwoffled
%config /etc/rc.d/rc3.d/S86wwwoffled
%config /etc/rc.d/rc5.d/S86wwwoffled
%config /etc/rc.d/rc0.d/K16wwwoffled
%config /etc/rc.d/rc1.d/K16wwwoffled
%config /etc/rc.d/rc6.d/K16wwwoffled
/usr/bin/*
/usr/sbin/*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man8/*
 
